org.eclipse.oomph.setup.workbench

## Interface KeyBindingTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    KeyBindingTaskImpl

      public interface KeyBindingTask
      extends SetupTask

  A representation of the model object 'Key Binding Task'.

  The following features are supported:

  - `Scheme`
  - `Contexts`
  - `Platform`
  - `Locale`
  - `Keys`
  - `Command`
  - `Command Parameters`
  See Also:
    `WorkbenchPackage.getKeyBindingTask()`
  Generated
  Model
    annotation="http://www.eclipse.org/oomph/setup/ValidTriggers triggers='STARTUP MANUAL'"

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommand()` Returns the value of the 'Command' attribute.
    `EList<CommandParameter>` | `getCommandParameters()` Returns the value of the 'Command Parameters' containment reference list.
    `EList<KeyBindingContext>` | `getContexts()` Returns the value of the 'Contexts' containment reference list.
    `String` | `getKeys()` Returns the value of the 'Keys' attribute.
    `String` | `getLocale()` Returns the value of the 'Locale' attribute.
    `String` | `getPlatform()` Returns the value of the 'Platform' attribute.
    `String` | `getScheme()` Returns the value of the 'Scheme' attribute.
    `void` | `setCommand(String value)` Sets the value of the '`Command`' attribute.
    `void` | `setKeys(String value)` Sets the value of the '`Keys`' attribute.
    `void` | `setLocale(String value)` Sets the value of the '`Locale`' attribute.
    `void` | `setPlatform(String value)` Sets the value of the '`Platform`' attribute.
    `void` | `setScheme(String value)` Sets the value of the '`Scheme`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getScheme

          String getScheme()

      Returns the value of the 'Scheme' attribute. The default value is `"org.eclipse.ui.defaultAcceleratorConfiguration"`.

      If the meaning of the 'Scheme' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Scheme' attribute.
      See Also:
        `setScheme(String)`, `WorkbenchPackage.getKeyBindingTask_Scheme()`
      Generated
      Model
        default="org.eclipse.ui.defaultAcceleratorConfiguration" required="true"

    - #### setScheme

          void setScheme(String value)

      Sets the value of the '`Scheme`' attribute.
      Parameters:
        `value` - the new value of the 'Scheme' attribute.
      See Also:
        `getScheme()`
      Generated

    - #### getContexts

          EList<KeyBindingContext> getContexts()

      Returns the value of the 'Contexts' containment reference list. The list contents are of type `KeyBindingContext`.

      If the meaning of the 'Contexts' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Contexts' containment reference list.
      See Also:
        `WorkbenchPackage.getKeyBindingTask_Contexts()`
      Generated
      Model
        containment="true" required="true" extendedMetaData="name='context'"

    - #### getPlatform

          String getPlatform()

      Returns the value of the 'Platform' attribute.

      If the meaning of the 'Platform' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Platform' attribute.
      See Also:
        `setPlatform(String)`, `WorkbenchPackage.getKeyBindingTask_Platform()`
      Generated
      Model

    - #### setPlatform

          void setPlatform(String value)

      Sets the value of the '`Platform`' attribute.
      Parameters:
        `value` - the new value of the 'Platform' attribute.
      See Also:
        `getPlatform()`
      Generated

    - #### getLocale

          String getLocale()

      Returns the value of the 'Locale' attribute.

      If the meaning of the 'Locale' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Locale' attribute.
      See Also:
        `setLocale(String)`, `WorkbenchPackage.getKeyBindingTask_Locale()`
      Generated
      Model

    - #### setLocale

          void setLocale(String value)

      Sets the value of the '`Locale`' attribute.
      Parameters:
        `value` - the new value of the 'Locale' attribute.
      See Also:
        `getLocale()`
      Generated

    - #### getKeys

          String getKeys()

      Returns the value of the 'Keys' attribute.

      If the meaning of the 'Keys' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Keys' attribute.
      See Also:
        `setKeys(String)`, `WorkbenchPackage.getKeyBindingTask_Keys()`
      Generated
      Model
        required="true"

    - #### setKeys

          void setKeys(String value)

      Sets the value of the '`Keys`' attribute.
      Parameters:
        `value` - the new value of the 'Keys' attribute.
      See Also:
        `getKeys()`
      Generated

    - #### getCommand

          String getCommand()

      Returns the value of the 'Command' attribute.

      If the meaning of the 'Command' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Command' attribute.
      See Also:
        `setCommand(String)`, `WorkbenchPackage.getKeyBindingTask_Command()`
      Generated
      Model
        required="true"

    - #### setCommand

          void setCommand(String value)

      Sets the value of the '`Command`' attribute.
      Parameters:
        `value` - the new value of the 'Command' attribute.
      See Also:
        `getCommand()`
      Generated

    - #### getCommandParameters

          EList<CommandParameter> getCommandParameters()

      Returns the value of the 'Command Parameters' containment reference list. The list contents are of type `CommandParameter`.

      If the meaning of the 'Command Parameters' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Command Parameters' containment reference list.
      See Also:
        `WorkbenchPackage.getKeyBindingTask_CommandParameters()`
      Generated
      Model
        containment="true" extendedMetaData="name='commandParameter'"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html